package retrofit2;

import java.io.IOException;
import 㿎.C2644;

public interface Call<T> extends Cloneable {
    void cancel();

    @Override // java.lang.Object
    Call<T> clone();

    void enqueue(Callback<T> callback);

    Response<T> execute() throws IOException;

    boolean isCanceled();

    boolean isExecuted();

    C2644 request();
}
